PETSc version 3.15.5
Fix/Edit manual page

# SNESMSGetType

Get the type of multistage smoother

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMSGetType(SNES snes,SNESMSType *mstype)

Not collective

### Input Parameter

| snes | - nonlinear solver context

### Output Parameter

| mstype | - type of multistage method

### See Also

SNESMSSetType(), SNESMSType, SNESMS

### Level

beginner

### Location

src/snes/impls/ms/ms.c

### Implementations

SNESMSGetType_MS in src/snes/impls/ms/ms.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages